/**
 * CDescription - 描述
 * @author Tevin
 */

<template>
    <view
        class="c-description"
        :class="hasBorder?'c-description-bordered':''"
    >
        <view
            class="c-description-label"
            :class="'c-description-label-' + labelAlign"
        >{{label}}</view>
        <view class="c-desctiption-content">
            <slot />
        </view>
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import {} from 'taro-ui-vue';
import './CDescription.scss';

export default {
    name: 'CDescription',
    components: {},
    props: {
        label: String,
        labelAlign: {
            type: String,
            default: 'left', // left、right
        },
        hasBorder: {
            type: Boolean,
            default: true,
        },
    },
    data() {
        return {};
    },
    methods: {},
};
</script>
